import * as b from 'bobril';
import { IItem } from './iItem';
import { IPoint } from './iPoint';

export interface IHint extends IItem {
    point: IPoint;
    countedPoint?: IPoint;
    oldCountedPoint?: IPoint;
    movePoint?: IPoint;
    color?: string;
    backgroundColor?: string;
    text: b.IBobrilChildren;
    margin?: number;
    waitForAnimation?: number; // in miliseconds
    fontSize?: number;
}