import * as b from 'bobril';
import * as bs from 'bobrilstrap';

export const indukci = b.createVirtualComponent({
    id: 'indukci',
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            bs.h2({}, 'Důkaz matematickou indukcí'),
            bs.h3({}, ['Tvrzení ',
                bs.em({}, ['T'])]),
            bs.paragraph({}, ['U tohoto důkazu dokazujeme, že dané tvrzení platí pro všechny prvky množiny. ',
                'Často se používá u důkazu platnosti tvrzení pro všechna přirozená čísla, tj. pro ',
                '\u2200', bs.em({}, ' n '), '\u2208', bs.em({}, ' N: V(n)'),
                '. Nejdříve dokážeme, že tvrzení platí pro nejmenší prvek množiny ',
                bs.em({}, ['n', bs.sub({}, ['0 '])]), ', nejčastěji ',
                bs.em({}, ['n', bs.sub({}, ['0']), ' ']), '=', bs.em({}, ' 1'), ':']),
            bs.well({}, [[
                '1. ',
                bs.em({}, ['Dokážeme V(n', bs.sub({}, ['0']), ').']),
                bs.elem({ tag: 'br' }, []),
                '2. ',
                bs.em({}, 'Předpokládáme, že platí indukční předpoklad V(n) a dokážeme implikaci '), '\u2200', bs.em({}, ' n '),
                '\u2208', bs.em({}, ' N: V(n) '), '\u21D2', bs.em({}, ' V(n '), '+', bs.em({}, '1).'),
            ]]),
            bs.paragraph({}, ['Podle prvního kroku je pravdivý výrok ',
                bs.em({}, ['V(1)']), ', podle druhého je pravdivý výrok ',
                bs.em({}, ['V(2)']), '. Pokud jej opět vložíme do druhého kroku, pak je pravdivý i ',
                bs.em({}, ['V(3)']), ' a tak dále. Soudíme, že výrok je pravdivý pro všechna ',
                bs.em({}, ['n']), '.']),
        ];
    }
});