import * as b from 'bobril';
import * as bs from 'bobrilstrap';

export const neprimo = b.createVirtualComponent({
    id: 'neprimo',
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            bs.h2({}, 'Nepřímý důkaz (obměněnou implikací)'),
            bs.paragraph({}, ['Pod kategorii nepřímých důkazů se někdy zařazuje i důkaz sporem, který je zde ',
            'uvedený na zvláštní stránce. Tyto dva typy důkazů spolu mají unikátní vztah, jelikož každý nepřímý ',
            'důkaz je možné převést na důkaz sporem. Důkaz tvrzení má stejný princip, proto je zmíněný až u důkazu sporem. ']),
            bs.h3({}, ['Implikace ',
                bs.em({}, 'A '), '\u21D2', bs.em({}, ' B')]),
            bs.paragraph({}, ['Při nepřímém dokazování věty ve tvaru implikace sestavíme její obměnu ',
                bs.em({}, 'B\' '), '\u21D2', bs.em({}, ' A\''),
                '. Obměna má stejnou pravdivostní hodnotu jako původní věta. Tuto obměnu pak dokazujeme ',
                b.link(bs.a({}, 'přímo'), 'primo'),
                ':']),
            bs.well({}, [
                bs.em({}, 'B\' '), '\u21D2', bs.em({}, [' B',
                    bs.sub({}, '1'), ' ']), '\u21D2', bs.em({}, [' B',
                    bs.sub({}, '2'), ' ']), '\u21D2 ... \u21D2', bs.em({}, [' B',
                    bs.sub({}, 'n'), ' ']), '\u21D2', bs.em({}, ' A\'')
            ]),
            bs.paragraph({}, ['kde ',
                bs.em({}, ['B', bs.sub({}, '1'), ', … , B', bs.sub({}, 'n')]),
                ' jsou axiomy nebo dokázaná tvrzení. '
                + 'Řetězcem implikací dojdeme k závěru o platnosti obměny. '
                + 'Protože obměna je ekvivalentní k původní větě, tak jsme dokázali i původní implikaci.']),
        ];
    }
});