import * as b from 'bobril';
import * as bs from 'bobrilstrap';

export const primo = b.createVirtualComponent({
    id: 'primo',
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            bs.h2({}, 'Přímý důkaz'),
            bs.paragraph({}, 'Přímý důkaz se používá k dokázání tvrzení nebo věty ve tvaru implikace. '),
            bs.h3({}, ['Tvrzení ',
                bs.em({}, ['T'])]),
            bs.paragraph({}, ['Cílem je dokázat tvrzení ',
                bs.em({}, ['T']),
                '. Nejdříve najdeme pravdivý výrok ',
                bs.em({}, ['T', bs.sub({}, '1'), '']),
                ' a následně dokážeme, že platí implikace ', bs.em({}, [
                    'T',
                    bs.sub({}, '1'), ' ']), '\u21D2', bs.em({}, [' T',
                ]), '. Sestavíme konečný řetězec implikací:']),
            bs.well({}, [
                bs.em({}, [
                    'T',
                    bs.sub({}, '1'), ' ']), '\u21D2', bs.em({}, [' T',
                    bs.sub({}, '2'), ' ']), '\u21D2', bs.em({}, [' T',
                    bs.sub({}, '3'), ' ']), '\u21D2 ... \u21D2', bs.em({}, [' T',
                    bs.sub({}, 'n'), ' ']), '\u21D2', bs.em({}, [' T'
                ])
            ]),
            bs.paragraph({}, ['Kde ', bs.em({}, ['T', bs.sub({}, '1'), ', … , T', bs.sub({}, 'n')]), ' jsou axiomy nebo dokázaná tvrzení, '
                + 'kde každé je logickým  důsledkem předchozího. Na základě této úvahy usoudíme, '
                + 'že platí poslední člen, což je dokazované tvrzení ',
                bs.em({}, ['T']), '.']),
            bs.h3({}, ['Implikace ',
                bs.em({}, 'A '), '\u21D2', bs.em({}, ' B')]),
            bs.paragraph({}, ['Předpokládáme, že ',
                bs.em({}, ['A']), ' platí, a sestavíme řetězec implikací:']),
            bs.well({}, [
                bs.em({}, [
                    'A ']), '\u21D2', bs.em({}, [' B',
                    bs.sub({}, '1'), ' ']), '\u21D2 ', bs.em({}, ['B',
                    bs.sub({}, '2'), ' ']), '\u21D2 ... \u21D2', bs.em({}, [' B',
                    bs.sub({}, 'n'), ' ']), '\u21D2 ', bs.em({}, ['B'
                ])
            ]),
            bs.paragraph({}, ['kde ',
                bs.em({}, ['B', bs.sub({}, '1'), ', … , B', bs.sub({}, 'n')]), ' jsou axiomy nebo dokázaná tvrzení. '
                + 'Vyjdeme z předpokladu implikace a přímým řetězcem implikací dojdeme k závěru. '
                + 'Protože platí ',
                bs.em({}, 'A'), ' a následují platné implikace, které dojdou až k ',
                bs.em({}, 'B'), ', tak platí ',
                'i implikace "jestliže ',
                bs.em({}, 'A'), ', pak ',
                bs.em({}, 'B'), ' " (tomuto odvození se říká hypotetický sylogismus). Tak jsme dokázali platnost původní implikace.']),
        ];
    }
});