import * as b from 'bobril';
import * as bs from 'bobrilstrap';

export const sporem = b.createVirtualComponent({
    id: 'sporem',
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            bs.h2({}, 'Důkaz sporem'),
            bs.paragraph({}, ['Základní myšlenkou dokazování sporem je vyjít z negace a ',
                'dojít ke spornému tvrzení (tvrzení, které je sporem s předpokladem).']),
            bs.h3({}, ['Tvrzení ',
                bs.em({}, ['T'])]),
            bs.paragraph({}, ['Předpokládáme, že platí negace výroku ',
                bs.em({}, ['T\'']), ' a sestavíme řetězec implikací: ']),
            bs.well({}, [
                bs.em({}, [
                    'T\' ']), '\u21D2', bs.em({}, [' ', 'T',
                    bs.sub({}, '1'), ' ']), '\u21D2', bs.em({}, [' T',
                    bs.sub({}, '2'), ' ']), '\u21D2', bs.em({}, [' T',
                    bs.sub({}, '3'), ' ']), '\u21D2 ... \u21D2', bs.em({}, [' T',
                    bs.sub({}, 'n'), ' ']), '\u21D2', bs.em({}, [' S'
                ])
            ]),
            bs.paragraph({}, ['Kde ',
                bs.em({}, ['T', bs.sub({}, '1'), ', … , T', bs.sub({}, 'n')]), ' jsou axiomy nebo dokázaná tvrzení, '
                + 'každé je logickým  důsledkem předchozího. Posledním členem je odvozené tvrzení ',
                bs.em({}, ['S']), ', o kterém víme, '
                + 'že je určitě nepravdivé. Tím jsme došli ke sporu, tvrzení ',
                bs.em({}, ['T\'']), ' není pravdivé a naopak původní tvrzení ',
                bs.em({}, ['T']), ' je pravdivé.']),
            bs.h3({}, ['Implikace ',
                bs.em({}, ['A ']), '\u21D2', bs.em({}, [' B'])]),
            bs.paragraph({}, ['Předpokládáme, že platí negace věty: ',
                bs.em({}, ['A ']), '\u2227', bs.em({}, [' B\'']), '. Sestavíme řetězec implikací:']),
            bs.well({}, [
                bs.em({}, [
                    '(A ']), '\u2227', bs.em({}, [' B\')', ' ']), '\u21D2', bs.em({}, [' B',
                    bs.sub({}, '1'), ' ']), '\u21D2', bs.em({}, [' B',
                    bs.sub({}, '2'), ' ']), '\u21D2 ... \u21D2', bs.em({}, [' B',
                    bs.sub({}, 'n'), ' ']), '\u21D2', bs.em({}, [' S'
                ])
            ]),
            bs.paragraph({}, ['kde ',
                bs.em({}, ['B', bs.sub({}, '1'), ', … , B', bs.sub({}, 'n')]), ' jsou axiomy nebo dokázaná tvrzení. '
                + 'Stejně jako u důkazu tvrzení vyjdeme z předpokladu implikace a řetězcem implikací dojdeme k výroku ',
                bs.em({}, ['S']), ', , '
                + 'který je nepravdivý. Negace věty neplatí, což znamená, že platí původní implikace.']),
        ];
    }
});