import * as b from 'bobril';
import * as bs from 'bobrilstrap';
import { viewer } from '../../viewer/viewer';
import { examples } from './examples';

export const tvrzeni2 = b.createVirtualComponent({
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            bs.h2({}, 'Tvrzení 2 (O souvislosti grafu po odebrání hrany kružnice)'),
            bs.well({}, ['Nechť graf ', bs.em({}, 'G'), ' je souvislý a nechť obsahuje kružnici ', bs.em({}, 'C'),
                '. Pak graf ', bs.em({}, 'G '), '-',
                bs.em({}, ' e'), ', kde ', bs.em({}, 'e'), ' je libovolná hrana kružnice ', bs.em({}, 'C'),
                ', je také souvislý. ']),
            viewer({ examples, cloud: true })
        ];
    }
});