import * as b from 'bobril';
import * as bs from 'bobrilstrap';
import { viewer } from '../../viewer/viewer';
import { examples } from './examples';

export const veta2 = b.createVirtualComponent({
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            bs.h2({}, 'Věta 2 (O ekvivalenci stromu a jediné cesty mezi vrcholy)'),
            bs.well({}, [
                'Pro každý graf ',
                bs.em({}, 'T '), '=', bs.em({}, ' (V, E)'), ' platí: ', bs.e({ tag: 'br' }),
                'Graf ',
                bs.em({}, 'T'), ' je strom právě tehdy, když mezi jeho libovolnými dvěma vrcholy ',
                bs.em({}, 'x, y'),
                ' existuje právě jedna cesta.'
            ]),
            viewer({ examples, cloud: true })
        ];
    }
});