import * as b from 'bobril';
import * as bs from 'bobrilstrap';
import { viewer } from '../../viewer/viewer';
import { examples } from './examples';

export const veta4 = b.createVirtualComponent({
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            bs.h2({}, 'Věta 4 (O počtu hran stromu)'),
            bs.well({}, [
                'Pro každý graf ',
                bs.em({}, 'T '), '=', bs.em({}, ' (V, E)'), ' platí: ', bs.e({ tag: 'br' }),
                'Graf ',
                bs.em({}, 'T'), ' je strom právě tehdy, když je souvislý a platí vztah ',
                bs.em({}, 'm'), ' = ',
                bs.em({}, 'n '), '-', bs.em({}, ' 1'), ', resp. ',
                bs.em({}, '|E|'), ' = ',
                bs.em({}, '|V| '), '-', bs.em({}, ' 1'), '.'
            ]),
            viewer({ examples, cloud: true })
        ];
    }
});