import * as b from 'bobril';
import * as bs from 'bobrilstrap';
import * as a from '../../viewer/actions';
import { viewer } from '../../viewer/viewer';
import * as colors from '../../common/colors';
import { examples } from './examples';

export const veta5 = b.createVirtualComponent({
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            bs.h2({}, 'Věta 5 (O stromu a vzniku kružnice spojením nesousedních vrcholů)'),
            bs.well({}, [
                'Pro každý graf ',
                bs.em({}, 'T '), '=', bs.em({}, ' (V, E)'), ' platí: ', bs.e({ tag: 'br' }),
                'Graf ',
                bs.em({}, 'T'), ' je strom právě tehdy, když neobsahuje kružnici a každý graf vzniklý z ',
                bs.em({}, 'T'), ' přidáním hrany, která spojuje libovolné dva nesousední vrcholy grafu ',
                bs.em({}, 'T'), ', již kružnici obsahuje. ',
            ]),
            viewer({ examples, cloud: true })
        ];
    }
});