import * as b from 'bobril';
import * as c from '../../common/colors';

export const well = b.styleDef('well-sm');

export const contentRowStyle = b.styleDef({
    bottom: 50,
    position: 'absolute',
    top: 15,
    left: 15,
    right: 15
});

export const constrolsRowStyle = b.styleDef({
    position: 'absolute',
    bottom: 5,
    width: '100%'
});

export const contentRowFullStyle = b.styleDef({
    bottom: 70,
    position: 'absolute',
    top: 15,
    left: 15,
    right: 15
});

export const buttonStyle = b.styleDef(
    {
        border: 'none', color: '#000000', backgroundColor: c.grayLight
    },
    {
        focus: { backgroundColor: '#ededed', border: 'none' },
        hover: { backgroundColor: '#ededed', border: 'none' },
        active: { backgroundColor: '#ededed', border: 'none' },
    }
);


export const buttonFullStyle = b.styleDef(
    {
        border: 'none', color: '#000000', fontSize: 25, backgroundColor: c.grayLight
    },
    {
        focus: { backgroundColor: '#ededed', border: 'none' },
        hover: { backgroundColor: '#ededed', border: 'none' },
        active: { backgroundColor: '#ededed', border: 'none' }
    }
);

export const buttonStyleDisabled = b.styleDef({
    border: 'none',
    color: c.grayDarkerLight, backgroundColor: c.grayLight
});
export const buttonFullStyleDisabled = b.styleDef({
    border: 'none',
    color: c.grayDarkerLight, backgroundColor: c.grayLight, fontSize: 25
});

export const canvas = b.styleDef({
    width: '100%',
    height: '78%',
    display: 'block',
    backgroundColor: '#FFFFFF',
    border: '1px solid ' + c.grayDarkerLight
});

export const canvasNoSentences = b.styleDef({
    width: '100%',
    height: '100%',
    display: 'block',
    backgroundColor: '#FFFFFF',
    border: '1px solid ' + c.grayDarkerLight
});

export const negationsCanvas = b.styleDef({
    width: '100%',
    height: '100%',
    display: 'block',
    backgroundColor: '#FFFFFF',
    border: '1px solid ' + c.grayDarkerLight
});

export const negationsCanvasWindow = b.styleDef({
    backgroundColor: '#FFFFFF',
    width: '100%',
    height: '100%',
    border: '1px solid ' + c.grayDarkerLight
});

export const canvasWindow = b.styleDef({
    backgroundColor: '#FFFFFF',
    width: '100%',
    height: '78%',
    border: '1px solid ' + c.grayDarkerLight
});

export const canvasWindowNoSentences = b.styleDef({
    backgroundColor: '#FFFFFF',
    width: '100%',
    height: '100%',
    border: '1px solid ' + c.grayDarkerLight
});

export const svgText = b.styleDef({
    fontSize: 20
}); 