import * as b from 'bobril';
import * as bs from 'bobrilstrap';

export interface ICloudFilterData {
    children?: b.IBobrilChildren;
}

export interface ICloudFilterCtx extends b.IBobrilCtx {
    data: ICloudFilterData;
}

export const cloudFilter = b.createComponent({
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode, oldMe?: b.IBobrilCacheNode): void {
        me.tag = 'defs';
        me.children = [
            bs.elem({ tag: 'filter', attrs: { x: 0, y: 0, id: 'filter' } }, [
                bs.elem(
                    {
                        tag: 'feOffset', attrs: { result: 'offOut', in: 'SourceAlpha', dx: 2, dy: 2 }
                    },
                    []),
                bs.elem(
                    {
                        tag: 'feGaussianBlur', attrs: { result: 'blurOut', stdDeviation: 10 }
                    },
                    []),
                bs.elem( 
                    {
                        tag: 'feBlend', attrs: { in: 'SourceGraphic', in2: 'blurOut', mode: 'normal' }

                    },
                    []),
            ]),
            bs.elem({ tag: 'filter', attrs: { x: 0, y: 0, id: 'filterPath' } }, [
                bs.elem({ tag: 'feOffset', attrs: { result: 'offOut', in: 'SourceGraphic', dx: 1, dy: 1 } }, []),
            ])];
    }
});