import * as b from 'bobril';
import * as bs from 'bobrilstrap';

const collapsedMenu = b.propim(true);
function handleMenuItemClick() {
    collapsedMenu(true);
    return false;
}

export const menu = b.createVirtualComponent({
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            b.style(bs.nav({ inverse: true }, [
                bs.container({}, [
                    bs.navbarHeader(
                        {},
                        [
                            b.link(bs.a({}, bs.navbarBrand({}, bs.h1({}, 'GraPro'))), 'uvod')
                        ]
                    ),
                    bs.navbarNav({}, [
                        bs.dropdown(
                            { button: { label: 'Výroková logika', tag: bs.ButtonTag.A, variant: bs.ButtonVariant.DropdownNav } },
                            bs.dropdownMenu({}, [
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick }, 'Výroky'), 'vyroky')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick },
                                    'Kvantifikované výroky'), 'kvantifikovaneVyroky')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick }, 'Vizualizace negací'), 'negace')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick },
                                    'Složené výroky'), 'slozeneVyroky')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick }, 'Matematické věty'), 'vety')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick }, 'Procvičení'), 'procviceni')),
                            ])),
                        bs.dropdown(
                            { button: { label: 'Typy důkazů', tag: bs.ButtonTag.A, variant: bs.ButtonVariant.DropdownNav } },
                            bs.dropdownMenu({}, [
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick }, 'Přímý důkaz'), 'primo')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick }, 'Nepřímý důkaz'), 'neprimo')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick }, 'Důkaz sporem'), 'sporem')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick }, 'Důkaz matematickou indukcí'),
                                    'indukci')),
                            ])),
                        bs.dropdown(
                            { button: { label: 'Důkazy z teorie grafů', tag: bs.ButtonTag.A, variant: bs.ButtonVariant.DropdownNav } },
                            bs.dropdownMenu({}, [
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick },
                                    'Věta 1 (Princip sudosti)'), 'veta1')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick },
                                    'Tvrzení 1 (O ekvivalenci existence cesty a sledu)'), 'tvrzeni1')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick },
                                    'Tvrzení 2 (O souvislosti grafu po odebrání hrany kružnice)'), 'tvrzeni2')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick },
                                    'Tvrzení 3 (O listech stromu)'), 'tvrzeni3')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick },
                                    'Věta 2 (O ekvivalenci stromu a jediné cesty mezi vrcholy)'), 'veta2')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick },
                                    'Věta 3 (O ekvivalenci stromu a souvislého grafu, jehož hrany jsou mosty)'), 'veta3')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick },
                                    'Věta 4 (O počtu hran stromu)'), 'veta4')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick },
                                    'Věta 5 (O stromu a vzniku kružnice spojením nesousedních vrcholů)'), 'veta5')),
                                bs.dropdownItem({}, b.link(bs.a({ onClick: handleMenuItemClick },
                                    'Věta 6 (O ekvivalenci stromu a grafu s daným počtem hran neobsahujícím kružnici)'), 'veta6'))
                            ])
                        ),
                    ]),
                    bs.navbarNav({ alignment: bs.NavbarAlignment.Right }, [
                        bs.navbarNavItem(
                            {},
                            b.link(
                                b.style(
                                    bs.a(
                                        { onClick: handleMenuItemClick },
                                        bs.glyphicon({ icon: bs.GlyphIcon.QuestionSign })),
                                    { fontSize: 20 }),
                                'prirucka')
                        ),
                    ])
                ])
            ])
            )];
    }
});
