import { IPoint } from './iPoint';
import { IItem } from './iItem';

export interface IEdge extends IItem {
    startPoint: IPoint;
    endPoint: IPoint;
    interpolation?: number;
    strokeWidth?: number;
    color?: string;
    dotted?: boolean;
    moved?: number;
    waitForAnimation?: number;
    stepIndex?: number;
    oldStepIndex?: number;
}