import { IVertex } from './iVertex';
import { IEdge } from './iEdge';
import { IHint } from './iHint';
import { IAxis } from './iAxis';
import { IText } from './iText';
import { IHalfCircle } from './iHalfCircle';
import { IImage } from './iImage';

export interface IScene {
    vertices: IVertex[];
    edges: IEdge[];
    hints: IHint[];
    whiteboards: IHint[];
    texts: IText[];
    axis: IAxis;
    halfCircles: IHalfCircle[];
    images: IImage[];
    cloud: boolean;
}