import * as b from 'bobril';
import * as bs from 'bobrilstrap';
import { viewer } from '../../viewer/viewer';
import { examples } from './examples';

export const tvrzeni1 = b.createVirtualComponent({
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            bs.h2({}, 'Tvrzení 1 (O ekvivalenci existence cesty a sledu)'),
            bs.well({}, ['Pro každý graf ',
                bs.em({}, 'G'), '=', bs.em({}, '(V, E)'), ' platí: ',
                bs.e({ tag: 'br' }),
                'V grafu ',
                bs.em({}, 'G'), ' existuje cesta z vrcholu ',
                bs.em({}, 'v'),
                ' do vrcholu ',
                bs.em({}, 'w'), ' právě tehdy, když v grafu ',
                bs.em({}, 'G'), ' existuje sled ' +
                'z vrcholu ',
                bs.em({}, 'v'), ' do vrcholu ',
                bs.em({}, 'w'), '.']),
            viewer({ examples, cloud: true })
        ];
    }
});