import * as b from 'bobril';
import * as bs from 'bobrilstrap';
import { viewer } from '../../viewer/viewer';
import { examples } from './examples';

export const tvrzeni3 = b.createVirtualComponent({
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            bs.h2({}, 'Tvrzení 3 (O listech stromu)'),
            bs.well({}, ['Pro každý graf ', bs.em({}, 'T '), '=', bs.em({}, ' (V, E)'), ' platí: ', bs.e({ tag: 'br' }),
                'Jestliže ', bs.em({}, 'T'), ' je netriviální strom, pak ', bs.em({}, 'T'),
                ' obsahuje list (resp. obsahuje alespoň dva listy).']),
            viewer({ examples, cloud: true })
        ];
    }
});