import * as b from 'bobril';
import * as bs from 'bobrilstrap';
import { viewer } from '../../viewer/viewer';
import { examples } from './examples';

export const veta1 = b.createVirtualComponent({
    id: 'veta1',
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            bs.h2({}, 'Věta 1 (Princip sudosti)'),
            bs.well({}, [
                'Pro každý graf ',
                bs.em({}, 'G'), '=', bs.em({}, '(V, E)'), ' platí vztah ',
                '\u2211', bs.em({}, 'v '), '\u2208', bs.em({}, 'V degG(v) '), '=', bs.em({}, ' 2 '), '\u22C5', bs.em({}, ' |E|'), '.'
            ]),
            viewer({ examples, cloud: true }),

        ];
    }
});