import * as b from 'bobril';
import * as bs from 'bobrilstrap';
import { viewer } from '../../viewer/viewer';
import { examples } from './examples';

export const veta3 = b.createVirtualComponent({
    render(ctx: b.IBobrilCtx, me: b.IBobrilNode) {
        me.children = [
            bs.h2({}, 'Věta 3 (O ekvivalenci stromu a souvislého grafu, jehož hrany jsou mosty)'),
            bs.well({}, [
                'Pro každý graf ',
                bs.em({}, 'T '), '=', bs.em({}, ' (V, E)'), ' platí: ', bs.e({ tag: 'br' }),
                'Graf ',
                bs.em({}, 'T'), ' je strom právě tehdy, když je souvislý a každá jeho hrana je most. ',
            ]),
            viewer({ examples, cloud: true })
        ];
    }
});